/****************************************************************
**
** Definition of CIGLWidget class 
**
****************************************************************/

#ifndef CIGLWIDGET_H
#define CIGLWIDGET_H

#include <qgl.h>
#include "CIMoebius.h"

class CIGLWidget : public  QGLWidget 
{ 
	Q_OBJECT	
  public:
  CIGLWidget( QWidget *parent=0, const char *name=0 );
  void initializeGL();
  void resizeGL( int w, int h );
  void paintGL();
  CIMoebius *ring;
public slots:
protected:
void mousePressEvent(QMouseEvent*e);
private:
 		int lx,ly;
};

#endif
